linux: 3.5.0-44.67 -proposed tracker

Bug #1250577 reported by Brad Figg on 2013-11-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-lbm
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Brad Figg
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-44.67 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 12. November 2013 18:13 UTC
kernel-stable-Certification-testing-end:Tuesday, 12. November 2013 19:03 UTC
kernel-stable-Prepare-package-end:Tuesday, 12. November 2013 23:17 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 12. November 2013 23:17 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 14. November 2013 12:01 UTC
kernel-stable-Security-signoff-start:Thursday, 14. November 2013 13:02 UTC
kernel-stable-Verification-testing-start:Thursday, 14. November 2013 13:02 UTC
kernel-stable-Regression-testing-start:Thursday, 14. November 2013 13:02 UTC
kernel-stable-Security-signoff-end:Monday, 18. November 2013 23:03 UTC
kernel-stable-Regression-testing-end:Friday, 22. November 2013 20:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 25. November 2013 22:01 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 03. December 2013 02:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 03. December 2013 03:03 UTC

CVE References

Brad Figg (brad-figg) on 2013-11-12
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-11-12
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1250661
linux-armadaxp - bug 1250662
linux-lowlatency - bug 1250663

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1250665

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-11-14
description: updated
Brad Figg (brad-figg) on 2013-11-14
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-11-18
description: updated
Paul Larson (pwlars) on 2013-11-22
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-11-22
description: updated
Brad Figg (brad-figg) on 2013-11-25
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.1 KiB)

This bug was fixed in the package linux - 3.5.0-44.67

---------------
linux (3.5.0-44.67) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1250577

  [ Luis Henriques ]

  * SAUCE: ACPI battery: fix compiler warning
    - LP: #1247154

  [ Upstream Kernel Changes ]

  * ACPI / IPMI: Fix atomic context requirement of ipmi_msg_handler()
    - LP: #1249023
  * Btrfs: change how we queue blocks for backref checking
    - LP: #1249023
  * watchdog: ts72xx_wdt: locking bug in ioctl
    - LP: #1249023
  * random: run random_int_secret_init() run after all late_initcalls
    - LP: #1249023
  * tile: use a more conservative __my_cpu_offset in CONFIG_PREEMPT
    - LP: #1249023
  * ALSA: snd-usb-usx2y: remove bogus frame checks
    - LP: #1249023
  * ALSA: hda - Add fixup for ASUS N56VZ
    - LP: #1249023
  * hwmon: (applesmc) Always read until end of data
    - LP: #1249023
  * drm/radeon: fix hw contexts for SUMO2 asics
    - LP: #1249023
  * KVM: PPC: Book3S HV: Fix typo in saving DSCR
    - LP: #1249023
  * random: allow architectures to optionally define random_get_entropy()
    - LP: #1249023
  * ext4: fix memory leak in xattr
    - LP: #1249023
  * parisc: fix interruption handler to respect pagefault_disable()
    - LP: #1249023
  * mm, show_mem: suppress page counts in non-blockable contexts
    - LP: #1249023
  * mm/mmap: check for RLIMIT_AS before unmapping
    - LP: #1249023
  * mm: do not grow the stack vma just because of an overrun on preceding
    vma
    - LP: #1249023
  * xhci: quirk for extra long delay for S4
    - LP: #1249023
  * xhci: Fix spurious wakeups after S5 on Haswell
    - LP: #1249023
  * USB: support new huawei devices in option.c
    - LP: #1249023
  * USB: serial: ti_usb_3410_5052: add Abbott strip port ID to combined
    table as well.
    - LP: #1249023
  * USB: serial: option: add support for Inovia SEW858 device
    - LP: #1249023
  * ARM: 7851/1: check for number of arguments in
    syscall_get/set_arguments()
    - LP: #1249023
  * USB: quirks.c: add one device that cannot deal with suspension
    - LP: #1249023
  * dm snapshot: fix data corruption
    - LP: #1249023
    - CVE-2013-4299
  * USB: quirks: add touchscreen that is dazzeled by remote wakeup
    - LP: #1249023
  * usb: serial: option: blacklist Olivetti Olicard200
    - LP: #1249023
  * usb-storage: add quirk for mandatory READ_CAPACITY_16
    - LP: #1249023
  * writeback: fix negative bdi max pause
    - LP: #1249023
  * powerpc/pseries/lparcfg: Fix possible overflow are more than 1026
    - LP: #1249023
  * powerpc: Restore registers on error exit from
    csum_partial_copy_generic()
    - LP: #1249023
  * nilfs2: fix issue with race condition of competition between segments
    for dirty blocks
    - LP: #1249023
  * fuse: hotfix truncate_pagecache() issue
    - LP: #1249023
  * rt2800: fix wrong TX power compensation
    - LP: #1249023
  * [media] sh_vou: almost forever loop in sh_vou_try_fmt_vid_out()
    - LP: #1249023
  * tcp: must unclone packets before mangling them
    - LP: #1249023
  * tcp: do not forget FIN in tcp_shifted_skb()
    - LP: #1249023
  * net: do not call sock_put() on TIMEWAIT sockets
    - LP: #124902...

Read more...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-12-03
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers